i2p.susi.webmail.encoding

## Class QuotedPrintable

- java.lang.Object
- - i2p.susi.webmail.encoding.QuotedPrintable

All Implemented Interfaces:
  Encoding

    public class QuotedPrintable
    extends Object
    implements Encoding

Author:
  susi

### Constructor Summary

Constructors
Constructor and Description
`QuotedPrintable()`

### Method Summary

Methods
`ReadBuffer` `decode(byte[] in)`
`ReadBuffer` `decode(byte[] in, int offset, int length)`
`ReadBuffer` `decode(ReadBuffer in)`
`ReadBuffer` `decode(String text)`
`String` `encode(byte[] in)`
`String` `encode(String text)`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuotedPrintable

    public QuotedPrintable()

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `Encoding`

#### encode

    public String encode(byte[] in)
                  throws EncodingException

Specified by:
  `encode` in interface `Encoding`
Returns:
  Encoded string.
Throws:
  `EncodingException`

#### encode

    public String encode(String text)
                  throws EncodingException

Specified by:
  `encode` in interface `Encoding`
Throws:
  `EncodingException`
See Also:
  `Encoding.encode(byte[])`

#### decode

    public ReadBuffer decode(byte[] in)

Specified by:
  `decode` in interface `Encoding`
See Also:
  `Encoding.decode(byte[], int, int)`

#### decode

    public ReadBuffer decode(String text)

Specified by:
  `decode` in interface `Encoding`
See Also:
  `Encoding.decode(byte[], int, int)`

#### decode

    public ReadBuffer decode(byte[] in,
                    int offset,
                    int length)

Specified by:
  `decode` in interface `Encoding`
Returns:
  Output buffer containing decoded String.

#### decode

    public ReadBuffer decode(ReadBuffer in)

Specified by:
  `decode` in interface `Encoding`
See Also:
  `Encoding.decode(byte[], int, int)`